Draft Mirror/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/it|Name=Draft Mirror|Name/it=Simmetria|Workbenches=Draft, Arch|MenuLocation=Draft → Simmetria|SeeAlso=Draft Scale/it|Dr...")
(Created page with "==Descrizione== Questo strumento produce una copia speculare di un oggetto selezionato, utilizzando un oggetto Simmetria di Part. La copia è parametricame...")
Line 1: Line 1:
{{GuiCommand/it|Name=Draft Mirror|Name/it=Simmetria|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Simmetria|SeeAlso=[[Draft Scale/it|Draft Scala]]}}
{{GuiCommand/it|Name=Draft Mirror|Name/it=Simmetria|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Simmetria|SeeAlso=[[Draft Scale/it|Draft Scala]]}}


==Description==
==Descrizione==
Questo strumento produce una copia speculare di un oggetto selezionato, utilizzando un oggetto [[Part Mirror/it|Simmetria di Part]]. La copia è parametricamente legata all'oggetto originale: se le viene modificato l'oggetto originale, cambia anche la copia speculare, ma si mantiene la simmetria.
This tool produces a mirrored copy of a selected object, using a [[Part Mirror]] object. The copy is parametrically bound to the original object: If the original object changes, the mirrored copy changes too, but keeps mirrored.


[[Image:Draft_Mirror_example.jpg|400px]]
[[Image:Draft_Mirror_example.jpg|400px]]

Revision as of 21:54, 9 December 2015

Simmetria

Posizione nel menu
Draft → Simmetria
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Draft Scala

Descrizione

Questo strumento produce una copia speculare di un oggetto selezionato, utilizzando un oggetto Simmetria di Part. La copia è parametricamente legata all'oggetto originale: se le viene modificato l'oggetto originale, cambia anche la copia speculare, ma si mantiene la simmetria.

How to use

  1. Select objects you wish to mirror
  2. Press the Draft Mirror button
  3. Click the first point of the mirror line on the 3D view, or type a coordinate
  4. Click the other point of the mirror line on the 3D view, or type a coordinate

Properties

  • DatiBase: The base point of the mirror plane
  • DatiNormal: The normal direction of the mirror plane

Options

Scripting

The Clone tool can by used in macros and from the python console by using the following function:

mirror (objectslist,p1,p2)
  • Makes mirror(s) of the given object(s) across a plane defined by a line from p1 to p2, and parallel to the current view
  • The result is a Part Mirror object
  • If the original object changes, the final object changes too but keeps mirrored

Example:

import Draft,FeeCAD
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2,2,0)
Draft.mirror(FreeCAD.ActiveDocument.ActiveObject,p1,p2)